Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004668TestLinkTest Project Managementpublic2011-07-18 13:012014-12-31 14:22
ReporterLaurent_Cabot 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.13 (2015 #1) 
Summary0004668: Req Spec Attachements are lost when a new project is created from an existing one
DescriptionWhen a new test project is created from an existing one req spec attachements are lost
Steps To Reproduce1)create a test project TP1 with requirements and test cases
2)add some attachments to the requirements and build requirements/test cases relationships.
3)create a new test project TP2 based on project TP1 with requirements feature enabled. Therefore, the TP2 requirements are identical to the TP1 ones.
4)select the TP2 project workspace
5)open one requirement.
 - the attachement doesn't appear anymore in the requirement
Additional InformationAttachements integrated in the database (NOT in the file system)
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox v5
PHP VersionPHP Version 5.3.5
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0006609closedfman Availables hot-fixes for 1.9.12 & How To get full fixed package from gitorious 

-  Notes
(0022305)
fman (administrator)
2014-12-02 21:41

found issue only with req spec attachments
(0022306)
fman (administrator)
2014-12-02 21:44

https://gitorious.org/testlink-ga/testlink-code/commits/c3290d2231b34e83d38646d89bd61f1ae29e9c15 [^]

- Issue History
Date Modified Username Field Change
2011-07-18 13:01 Laurent_Cabot New Issue
2014-12-01 21:10 fman QA Team - Task Workflow Status => TBD
2014-12-01 21:10 fman Assigned To => fman
2014-12-01 21:10 fman Status new => assigned
2014-12-02 21:41 fman Note Added: 0022305
2014-12-02 21:44 fman Summary Attachements are lost when a new project is created from an existing one => Req Spec Attachements are lost when a new project is created from an existing one
2014-12-02 21:44 fman Description Updated View Revisions
2014-12-02 21:44 fman Steps to Reproduce Updated View Revisions
2014-12-02 21:44 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-12-02 21:44 fman Note Added: 0022306
2014-12-02 21:44 fman Status assigned => resolved
2014-12-02 21:44 fman Fixed in Version => 1.9.13 (2015 #1)
2014-12-02 21:44 fman Resolution open => fixed
2014-12-02 21:45 fman Relationship added child of 0006609
2014-12-31 14:22 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker